> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /qqmusic/playlists

> Get a QQ Music playlist with its tracks, tags, creator and play and favourite counts

**Price:** 1 credit

**⚠️ Common errors:** 412: The catalogue does not serve a playlist for the given id.



## OpenAPI

````yaml /openapi/music.json post /api/qqmusic/playlists
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/qqmusic/playlists:
    post:
      tags:
        - /qqmusic
      summary: /qqmusic/playlists
      description: >-
        Get a QQ Music playlist with its tracks, tags, creator and play and
        favourite counts


        **Price:** 1 credit


        **⚠️ Common errors:** 412: The catalogue does not serve a playlist for
        the given id.
      operationId: __api_qqmusic_playlists_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QqmusicPlaylistPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/QqmusicPlaylist'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    QqmusicPlaylistPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        playlist:
          type: string
          minLength: 1
        song_count:
          type: integer
          minimum: 1
          default: 100
      type: object
      required:
        - playlist
    QqmusicPlaylist:
      properties:
        '@type':
          type: string
          default: QqmusicPlaylist
        id:
          type: string
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        creator:
          anyOf:
            - $ref: '#/components/schemas/QqmusicPlaylistCreator'
            - type: 'null'
        tags:
          items:
            $ref: '#/components/schemas/QqmusicPlaylistTag'
          type: array
          default: []
        listen_count:
          anyOf:
            - type: integer
            - type: 'null'
        favorite_count:
          anyOf:
            - type: integer
            - type: 'null'
        track_count:
          anyOf:
            - type: integer
            - type: 'null'
        tracks:
          items:
            $ref: '#/components/schemas/QqmusicTrack'
          type: array
          default: []
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    QqmusicPlaylistCreator:
      properties:
        '@type':
          type: string
          default: QqmusicPlaylistCreator
        uin:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_vip:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - uin
    QqmusicPlaylistTag:
      properties:
        '@type':
          type: string
          default: QqmusicPlaylistTag
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    QqmusicTrack:
      properties:
        '@type':
          type: string
          default: QqmusicTrack
        mid:
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        singers:
          items:
            $ref: '#/components/schemas/QqmusicSongSinger'
          type: array
          default: []
        album:
          anyOf:
            - $ref: '#/components/schemas/QqmusicSongAlbum'
            - type: 'null'
        duration_seconds:
          anyOf:
            - type: integer
            - type: 'null'
        published_date:
          anyOf:
            - type: string
            - type: 'null'
        disc_number:
          anyOf:
            - type: integer
            - type: 'null'
        track_number:
          anyOf:
            - type: integer
            - type: 'null'
        bpm:
          anyOf:
            - type: integer
            - type: 'null'
        is_exclusive:
          anyOf:
            - type: boolean
            - type: 'null'
        is_paid_play:
          anyOf:
            - type: boolean
            - type: 'null'
        is_paid_download:
          anyOf:
            - type: boolean
            - type: 'null'
        is_vip_only:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - mid
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    QqmusicSongSinger:
      properties:
        '@type':
          type: string
          default: QqmusicSongSinger
        mid:
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - mid
    QqmusicSongAlbum:
      properties:
        '@type':
          type: string
          default: QqmusicSongAlbum
        mid:
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        published_date:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - mid
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````